org.cybergarage.upnp.event

## Class SubscriberList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector
      - - org.cybergarage.upnp.event.SubscriberList

- All Implemented Interfaces:
    Serializable, Cloneable, Iterable, Collection, List, RandomAccess

      public class SubscriberList
      extends Vector

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.Vector

      `capacityIncrement, elementCount, elementData`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubscriberList()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Subscriber` | `getSubscriber(int n)`

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeRange, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SubscriberList

          public SubscriberList()

  - ### Method Detail

    - #### getSubscriber

          public Subscriber getSubscriber(int n)